/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

#if !defined( __ABOUTDLG_H__)
#define __ABOUTDLG_H__
#include "resource.h"

// アプリケーションのバージョン情報で使われる CAboutDlg ダイアログ

class CAboutDlg : public CDialog{
public:
	CAboutDlg();
	virtual ~CAboutDlg();

// ダイアログ データ
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard 仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV のサポート
	//}}AFX_VIRTUAL
	virtual BOOL PreTranslateMessage(MSG* pMsg);

// インプリメンテーション
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	DECLARE_MESSAGE_MAP()

	virtual BOOL OnInitDialog();

private:
	// Retrieves a cursor resource from Windows.
	HCURSOR GetFingerCursor() const;

private:
	// Stuff for a hypertext.
	HFONT m_hFontLink;
	HCURSOR m_hCursorFinger;
	CToolTipCtrl m_tip;
	bool m_bHover;
};

#endif // __ABOUTDLG_H__
